Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 2049147

Summary: ship GNOME 42.beta or 42.rc in Fedora 36 beta
Product: [Fedora] Fedora Reporter: Chris Murphy <bugzilla>
Component: gnome-shellAssignee: Florian Müllner <fmuellner>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 36CC: adscvr, amigadave, awilliam, bugzilla, fmuellner, gnome-sig, jadahl, otaylor, philip.wyett, pmendezh
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: AcceptedFreezeException
Fixed In Version: gnome-shell-42~beta-4.fc36 gnome-shell-42~rc-2.fc36 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-03-04 04:21:28 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1953784    

Description Chris Murphy 2022-02-01 16:06:34 UTC
Fedora workstation working group requests a (preemptive) freeze exception to get GNOME 42.rc into Fedora 36 beta.

* Fedora 36 beta freeze starts Feb 22
* GNOME 42.rc newstable tarballs due March 5
* Fedora 36 beta early target March 15
* Fedora 36 beta later (but not late) target March 22



https://wiki.gnome.org/FortyTwo
https://fedorapeople.org/groups/schedule/f-36/f-36-key-tasks.html

Comment 1 Fedora Blocker Bugs Application 2022-02-01 16:11:03 UTC
Proposed as a Freeze Exception for 36-beta by Fedora user chrismurphy using the blocker tracking app because:

 Many bug fixes will be available in the rc, best to get them on shipping media so we're not getting stale bug reports, etc.

Comment 2 Adam Williamson 2022-02-07 17:15:23 UTC
+3 in https://pagure.io/fedora-qa/blocker-review/issue/596 , marking accepted.

Comment 3 Ben Cotton 2022-02-08 20:08:31 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 36 development cycle.
Changing version to 36.

Comment 4 Fedora Update System 2022-02-22 15:15:00 UTC
FEDORA-2022-62ea707376 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-62ea707376

Comment 5 Fedora Update System 2022-02-24 01:44:22 UTC
FEDORA-2022-62ea707376 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-62ea707376`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-62ea707376

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2022-02-24 16:13:48 UTC
FEDORA-2022-62ea707376 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-62ea707376`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-62ea707376

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Adam Williamson 2022-02-28 19:55:35 UTC
As agreed at today's blocker review meeting, re-titling this bug "ship GNOME 42.beta or 42.rc in Fedora 36 beta". We don't know if 42.rc will be ready in time; in the mean time we do want to pull in the 42.beta update, beta is better than alpha.

Comment 8 Fedora Update System 2022-03-02 19:42:32 UTC
FEDORA-2022-62ea707376 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-62ea707376`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-62ea707376

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2022-03-04 04:21:28 UTC
FEDORA-2022-62ea707376 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2022-03-09 13:28:08 UTC
FEDORA-2022-21d81706cd has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-21d81706cd

Comment 11 Fedora Update System 2022-03-09 15:46:38 UTC
FEDORA-2022-21d81706cd has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-21d81706cd`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-21d81706cd

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2022-03-11 19:23:21 UTC
FEDORA-2022-21d81706cd has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-21d81706cd`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-21d81706cd

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2022-03-14 21:00:42 UTC
FEDORA-2022-21d81706cd has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.